Search chains#

Description#

Returns a list of all chains that match the provided criteria. The name of the change is fuzzy matched; it matches any chain name that contains the provided string. The workspace, external workspace, and environment IDs all help filter down the results to a particular setting. Setting the parallel execution enabled flag will only return chains whose commands run in parallel.

GET /v1/metadata/chains/search

Parameters#

Parameter

In

Type

Required

Description

workspace_id

query

integer

false

The ID of the workspace to search for chains.

external_workspace_id

query

string

false

The ID of the associated Workiva workspace to search for chains.

environment_id

query

integer

false

The ID of the environment to search for chains.

name

query

string

false

The fuzzy name of the chain to search for.

parallel_execution_enabled

query

boolean

false

Whether or not to return only chains that run in parallel or serially.

Code Samples#

curl -X GET https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/chains/search \
    -H 'Accept: application/json' \
    -H 'Authorization: Bearer {access-token}'
http GET https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/chains/search \
    Accept:application/json \
    Authorization:"Bearer {access-token}"
wget --method=GET "https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/chains/search" \
    --output-document -  \ 
    --header 'Accept: application/json' \ 
    --header 'Authorization: Bearer {access-token}'
import requests

headers = {
  'Accept': 'application/json',
  'Authorization': 'Bearer {access-token}'
}

r = requests.get('https://h.app.wdesk.com/s/wdata/oc/api/v1/metadata/chains/search', headers = headers)

print(r.json())

Returns#

200 - OK#

Returns a ChainsResponse containing an array of Chain objects that match the provided filters.

Example Responses#

{
  "data": [
    {
      "id": "1",
      "internal_id": 0,
      "name": "File Utils Chain",
      "description": "Test a directory",
      "created_at": "2018-03-14 20:10:39.520585",
      "updated_at": "2018-03-14 20:10:39.520585",
      "disabled": true,
      "concurrency_enabled": false,
      "runtime_inputs": [
        {
          "vuid": "45072337-72ee-4c52-9428-0b2ae21ac73c",
          "data_type": "file"
        }
      ],
      "schedules": [
        {
          "enabled": true,
          "start_at": "2019-02-08 06:25:00",
          "end_at": "2019-02-08 06:25:00",
          "properties": {
            "days_of_month": [
              "1",
              "2",
              "10"
            ],
            "days_of_week": null,
            "recurring_interval": 1,
            "recurring_type": "monthly",
            "run_at_hours": 14,
            "run_at_minutes": 0,
            "run_at_seconds": 0,
            "stop_at_hours": null,
            "stop_at_minutes": null,
            "zone": "America/New_York"
          }
        }
      ]
    }
  ]
}